Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Sep 2022 19:34:37 +0300

>> >   . do we really need to hide the first character of the line by the
>> >     overlay? doesn't before-string work?
>> 
>> Does using before-string allows moving the cursor into the button
>> displayed with before-string?
>
> I don't understand this question: currently the cursor cannot be moved
> into the overlay anyway.  And if the first character of the buffer's
> line is not hidden below an overlay, why would we need to move cursor
> into the overlay to begin with?

Strange, this is not what I see: after 'C-h b' the cursor is moved to the
overlay with the button where 'RET' could be typed to hide/show outlines.

>> >   . wouldn't it be better if the arrow buttons were displayed in the
>> >     window's margin, and would thus avoid indenting the characters on
>> >     that line wrt the rest of the code?
>> 
>> Same problem: the cursor can't be moved into the fringe indicator
>> to be able to type RET on it.
>
> I asked about the margins, not the fringe.

I don't know if the cursor can be moved to the window's margin.

> If you ask about RET, that is relevant for text-mode frames, where
> buttons won't be used anyway, right?  On GUI frames, people are
> expected to click on the buttons, right?

Even on GUI frames it would be handy to use the keyboard
in addition to mouse.

>> >   . the buttons have a dark gray background that doesn't look good.
>> 
>> The buttons that I see by default are much worse - their background is
>> glaring orange.
>
> So we need to make them more visually appealing.

Agreed.